/*******************************************************************************
 * Copyright (c) 2000, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.ole.win32.IOleInPlaceActiveObject;

import dwt.dwthelper.utils;

import dwt.internal.win32.MSG;
import dwt.internal.win32.RECT;

public class IOleInPlaceActiveObject extends IOleWindow
{
public IOleInPlaceActiveObject(int /*long*/ address) {
    super(address);
}
public int TranslateAccelerator(MSG lpmsg) {
      //lpmsg - Pointer to message that may need translating
      return COM.VtblCall(5, address, lpmsg);
}
public void OnFrameWindowActivate(bool fActivate) {
    COM.VtblCall(6, getAddress(), fActivate);
}
public void OnDocWindowActivate(bool fActivate) {
    COM.VtblCall(7, getAddress(), fActivate);
}
public int ResizeBorder(RECT prcBorder, int /*long*/ pUIWindow, bool fFrameWindow) {
    return COM.VtblCall(8, address, prcBorder, pUIWindow, fFrameWindow);
}
}
