/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.win32.SCRIPT_STATE;

import dwt.dwthelper.utils;

public class SCRIPT_STATE {
    public short uBidiLevel; 
    public bool fOverrideDirection; 
    public bool fInhibitSymSwap; 
    public bool fCharShape; 
    public bool fDigitSubstitute; 
    public bool fInhibitLigate; 
    public bool fDisplayZWG; 
    public bool fArabicNumContext; 
    public bool fGcpClusters; 
    public bool fReserved; 
    public short fEngineReserved;
    public static final int sizeof = OS.SCRIPT_STATE_sizeof ();
}
